CVE-2016-1521

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The directrun function in directmachine.cpp in Libgraphite in Graphite 2 1.2.4, as used in Mozilla Firefox before 43.0 and Firefox ESR 38.x before 38.6.1, does not validate a certain skip operation, which allows remote attackers to execute arbitrary code, obtain sensitive information, or cause a denial of service (out-of-bounds read and application crash) via a crafted Graphite smart font.

References

http://blog.talosintel.com/2016/02/vulnerability-spotlight-libgraphite.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-February/177520.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-May/184623.html

http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00052.html

http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00058.html

http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00088.html

http://rhn.redhat.com/errata/RHSA-2016-0197.html

http://rhn.redhat.com/errata/RHSA-2016-0258.html

http://rhn.redhat.com/errata/RHSA-2016-0594.html

http://www.debian.org/security/2016/dsa-3479

http://www.mozilla.org/security/announce/2016/mfsa2016-14.html

http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html

http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html

http://www.securityfocus.com/bid/82991

http://www.ubuntu.com/usn/USN-2902-1

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05390722

https://security.gentoo.org/glsa/201701-35

https://security.gentoo.org/glsa/201701-63

Details

Source: MITRE

Published: 2016-02-13

Updated: 2017-07-01

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (23 total)

IDNameProductFamilySeverity
99776EulerOS 2.0 SP1 : graphite2 (EulerOS-SA-2016-1013)NessusHuawei Local Security Checks
high
96749GLSA-201701-63 : Graphite: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
96515GLSA-201701-35 : Mozilla SeaMonkey: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
91060Fedora 22 : graphite2-1.3.6-1.fc22 (2016-338a7e9925)NessusFedora Local Security Checks
high
90865Amazon Linux AMI : graphite2 (ALAS-2016-696)NessusAmazon Linux Local Security Checks
high
90393Scientific Linux Security Update : graphite2 on SL7.x x86_64 (20160406)NessusScientific Linux Local Security Checks
high
90387RHEL 7 : graphite2 (RHSA-2016:0594)NessusRed Hat Local Security Checks
high
90384Oracle Linux 7 : graphite2 (ELSA-2016-0594)NessusOracle Linux Local Security Checks
high
90368CentOS 7 : graphite2 (CESA-2016:0594)NessusCentOS Local Security Checks
high
90167openSUSE Security Update : graphite2 (openSUSE-2016-389)NessusSuSE Local Security Checks
high
89991SUSE SLED12 / SLES12 Security Update : graphite2 (SUSE-SU-2016:0779-1)NessusSuSE Local Security Checks
high
89975openSUSE Security Update : graphite2 (openSUSE-2016-349)NessusSuSE Local Security Checks
high
89525Fedora 23 : graphite2-1.3.5-1.fc23 (2016-4154a4d0ba)NessusFedora Local Security Checks
high
88865Debian DSA-3479-1 : graphite2 - security updateNessusDebian Local Security Checks
high
88859RHEL 5 / 6 / 7 : thunderbird (RHSA-2016:0258)NessusRed Hat Local Security Checks
critical
88856Oracle Linux 6 / 7 : thunderbird (ELSA-2016-0258)NessusOracle Linux Local Security Checks
critical
88844CentOS 5 / 6 / 7 : thunderbird (CESA-2016:0258)NessusCentOS Local Security Checks
critical
88837Ubuntu 14.04 LTS / 15.10 : graphite2 vulnerabilities (USN-2902-1)NessusUbuntu Local Security Checks
high
88796Scientific Linux Security Update : firefox on SL5.x, SL6.x, SL7.x i386/x86_64 (20160216)NessusScientific Linux Local Security Checks
high
88789RHEL 5 / 6 / 7 : firefox (RHSA-2016:0197)NessusRed Hat Local Security Checks
high
88781Oracle Linux 5 / 6 / 7 : firefox (ELSA-2016-0197)NessusOracle Linux Local Security Checks
high
88762CentOS 5 / 6 / 7 : firefox (CESA-2016:0197)NessusCentOS Local Security Checks
high
88672FreeBSD : graphite2 -- code execution vulnerability (8f10fa04-cf6a-11e5-96d6-14dae9d210b8)NessusFreeBSD Local Security Checks
high